# copied from ament_package/template/prefix_level/setup.zsh

AMENT_SHELL=zsh

# source setup.sh from same directory as this file
AMENT_CURRENT_PREFIX=/usr

# function to convert array-like strings into arrays
# to wordaround SH_WORD_SPLIT not being set
ament_zsh_to_array() {
  local _listname=$1
  local _dollar="$"
  local _split="{="
  local _to_array="(\"$_dollar$_split$_listname}\")"
  eval $_listname=$_to_array
}

# trace output
if [ -n "$AMENT_TRACE_SETUP_FILES" ]; then
  echo "# . \"/etc/profile.d/ros/setup.sh\""
fi
. "/etc/profile.d/ros/setup.sh"
